<?php amp_header_core() ?>


<?php
    $get_static = get_theme_mod( 'static_enable' );
    if ($get_static != false) {
        $display_static = 'd-none' ;
        include_once 'static-page.php';
    }
?>

<header id="amp-head" class="header container <?php echo $display_static ; ?>">

        <div class="amp-header">
            <!-- logo -->
            <div class="logo text-center">
                <a href="<?php echo home_url(); ?>">
                    <figure>
                        <?php $image_id = get_theme_mod( 'custom_logo' );
                            if ($image_id != false) {
                                $logo = wp_get_attachment_image_src( $image_id , 'thumbnail' );
                        ?>
                                <amp-img
                                    src="<?php echo $logo[0];?>"       
                                    width="<?php echo $logo[1];?>"
                                    height="<?php echo $logo[2];?>"
                                    alt="<?php bloginfo('name'); ?>"
                                    layout="intrinsic">
                                </amp-img>
                    
                        <?php } else { bloginfo('name') ; } ?>
                    </figure>
                    <p><?php bloginfo('description'); ?></p>
                </a> 
            </div>

            <!-- socials -->
            <div class="socials text-center">
                <?php  $social = socials_link();

                foreach ($social as $key => $item ) { 

                    $url = get_theme_mod( $item['name'] );
                    if ($url != false) {
                        echo "<a href='{$url}'><i class='fa-fw fab fa-{$item['icon']}'></i></a>";
                    }
                        
               } ?>  

               <a href="<?php echo home_url().'/feed/'; ?>"><i class="fas fa-rss"></i></a>           
            </div>
        </div>   

        <!-- navigation -->
        <div class="nav">
            <span role="button" on="tap:sidebar1.toggle" tabindex="0" class="hamburger">
                <i class="fas fa-bars"></i>
            </span>
        </div>
    
</header>

<amp-sidebar id="sidebar1" layout="nodisplay" side="left" class="<?php echo $display_static ; ?>">
  <div role="button" aria-label="close sidebar" on="tap:sidebar1.toggle" tabindex="0" class="close-sidebar">✕</div>

    <!-- search -->
    <?php amp_search();?>

    <?php     
    wp_nav_menu( array(
    'theme_location'  => 'header_menu',
    'menu'            => 'header_menu',
    'container'       => '',
    'depth'           => 1,
    ) );
    ?>  
</amp-sidebar>

<div class="content-wrapper <?php echo $display_static ; ?>">
    <div class="container">