/****
* FONTS
*****/
@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: bold;
    src: 
        url('<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/fonts/woff2/IRANSansWeb_Bold.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
        url('<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/fonts/woff/IRANSansWeb_Bold.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
        url('<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/fonts/ttf/IRANSansWeb_Bold.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: normal;
    src: 
        url('<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/fonts/woff2/IRANSansWeb.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
        url('<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/fonts/woff/IRANSansWeb.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
        url('<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/fonts/ttf/IRANSansWeb.ttf') format('truetype');
}


/**** 
* AMP Framework Reset
*****/
    body{ 
        font-family: IRANSans;
        font-weight:normal;
        font-size:14px;
        line-height:2;
        color:#555 ;
        direction:rtl;
        background: #eee;
        width:100%;
        margin:0px;
    }

    .site-color { color:#457fca; }
    :focus { outline:none; }
    .px-2 { padding-right:7px;padding-left:7px; } 
    ol, ul{ list-style-position: inside }
    p, ol, ul, figure{ margin: 0 0 1em; padding: 0; }
    a, a:active, a:visited{ color:inherit; text-decoration: none }
    a:hover, a:active, a:focus{}
    pre{ white-space: pre-wrap;}
    .left{float:left}
    .right{float:right}
    .text-center { text-align: center; }
    .mb-3 { margin-bottom: 13px; }
    .hidden{ display:none }
    .clearfix{ clear:both }
    .amp-wp-unknown-size img {object-fit: contain;}
    .amp-wp-enforced-sizes{ max-width: 100% }
    .d-none { display:none !important; }

    /* Image Alignment */
    .alignright {
        float: right;
    }
    .alignleft {
        float: left;
    }
    .aligncenter {
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
    amp-iframe { max-width: 100%; margin-bottom : 20px; }

    .wp-caption-text {
        font-size: 12px;
        line-height: 1.5em;
        margin: 0;
        padding: .66em 10px .75em;
        text-align: center;
    }

    /* AMP Media */
    amp-iframe,
    amp-youtube,
    amp-instagram,
    amp-vine {
        margin: 0 -16px 1.5em;
    }

    figure { margin:0px; line-height:0px; }

    /*Container*/
    .container {
        max-width: 768px;
        margin: 0 auto;
        padding: 0px 15px;
    }

/****
* AMP Sidebar
*****/

    amp-sidebar{
        width: 45%;
        background: rgba(0, 0, 0, 0.8);
        color: white;
    }
    amp-sidebar form > div { display:flex;margin:15px 0px;}
    amp-sidebar form > div > label:first-child { display:none; }
    amp-sidebar input[type=submit] { 
        font-family: IRANSans;
        padding: 8px 7px;
        border: none;
        background: #28538c;
        color: white;
    }
    amp-sidebar input[type=text]{ 
        width: 80%;
        padding: 5px;
        border: none;
        color: #252424;
    }
    amp-sidebar input[type=text]::-webkit-input-placeholder {
        color: transparent;
    }
    amp-sidebar input[type=text]::placeholder {
        color: transparent;
    }
    amp-sidebar ul li { 
        list-style:none;
        padding:4px 0px;
        font-size:14px;
        transition: all 0.3s;
    }
    amp-sidebar ul li a { display:block; padding:3px 7px; }


/****
* header
*****/
    #amp-head { background: #457fca; text-align:center;padding-top:15px;color:#fff; }
    #amp-head .logo > a { display:inline-block; } 
    #amp-head .socials { margin-bottom: 20px; }
    #amp-head .socials a { font-size: 16px; padding: 4px; } 
    #amp-head .nav { background: #fff;position: relative; padding: 2px 15px 0px; font-size: 22px;min-height: 45px; text-align: right; color:#555; }
    #amp-head .nav::after {
        content: '';
        display: block;
        position: absolute;
        left: 0;
        top: 0;
        border-style: solid;
        border-color: #457fca transparent transparent #457fca;
        border-width: 10px;
    }

/* slider */
    #amp-slider .item .img { position:relative; display:inline-block;height:auto;width:100%; }
    #amp-slider h3 {
        position: absolute;
        bottom: 0;
        color: #fff;
        padding: 8px 15px 19px;
        background: linear-gradient(180deg, transparent, #232323eb);
        width: 100%;
        margin: 0px;
        text-align: right;
        line-height: 1.7;
    }
    .amp-carousel-button { top:42%; }

/**
posts loop
**/
    .content-wrapper .container { background: #eee; }
    .content-wrapper .container main { background:#fff;padding: 15px 15px 10px; }
    .loop-post { text-align:center;padding:15px 0px;}
    .loop-post:not(:last-child) {  border-bottom: 1px solid #ddd; }
    .loop-post h2 { 
        font-size: 15px;
        font-weight: bold;
        line-height: 1.618;
        margin-bottom: 10px;
    }
    .loop-post > p { font-size: 13px;line-height: 1.618; color:#555555e0;margin-bottom: 7px; }
    .loop-post .date { color: #457fca ; font-size: 12px; }
    #paginate span, #paginate a { display: inline-block;padding: 3px 6px;font-size: 15px; margin: 12px 0px; }
    #paginate span.current { background:#457fca ;color: #fff;border-radius: 5px; }

/* widgets */

    #main-sidebar aside { width:100%; }
    #main-sidebar ul li { list-style:none;padding: 5px 0;font-size: 13px; }
    #main-sidebar ul li i { margin-left:5px; opacity: 0.7; }
    #main-sidebar header { position: relative; z-index: 2;margin-bottom: 7px;border-bottom: 1px solid #ddd; }
    #main-sidebar header h3 {     
        font-size: 14px;
        font-weight: 500;
        display: inline-block;
        padding: 0 15px 10px;
        margin-bottom: -2px;
        border-bottom: 3px solid #457fca;
    }
    #main-sidebar .thumbnail { display:none; }

/****
* title
*****/
    #archive .author-img amp-img { width:90px; }
    #archive header {
        border-bottom: 1px solid #ddd;
        margin-bottom: 10px;
    }
    #archive header h1 {
        font-size: 18px;
        font-weight: bold;
        border-bottom: 3px solid #457fca;
        margin-bottom: 0;
        position: relative;
        top: 2px;
        display: inline-block;
        padding: 0 15px 5px;
        margin-top: 0px;
    }
    h1.amp-post-title { 
        font-weight: bold;
        font-size: 24px;
        line-height: 1.618;
        text-align: center;
    }
    .content-meta{
        font-size:13px;
        margin-bottom:15px;
        padding:0px 10px 7px;
        line-height:2.2;
        opacity: 0.8;
    }

/****
* content
*****/
    .amp-content { font-size: 16px; }
    .amp-content amp-img { margin-top:16px;margin-bottom:16px; } 
    .amp-content a { color:#007bff }
    .amp-content blockquote {
        background: #efefef;
        padding: .7rem 1rem;
        border-radius: .2rem 0 0 .2rem;
        border-right: 3px solid #346098;
        margin: 20px 18px;
        font-size: .9rem;
        font-style: italic;
    }
    .aligncenter { text-align:center; }
    .tags { border-top:1px solid #dee2e6;font-size: 14px;line-height: 26px;padding:10px;margin-top: 10px; }


/****
* coments
*****/
    .comments h4 { margin:0px 0px 9px 0px; font-size:16px;}
    .comments h4 i { padding-left:5px; }
    .comments h3 , .comments .says , .amp-comment-button { display:none; }
    .comments .reply a {
        background: #457fca;
        color: white;
        padding: 3px 10px;
        border-radius: 3px;
        font-size:13px;
        margin: 6px 0px 14px;
    }

    .amp-comments ul { list-style:none;margin:0px; }
    .amp-comments ul li, .amp-comments ul li li {
        background: #fcfcfc;
        margin-top: 7px;
        list-style: none;
        padding: 8px 7px 4px;
        border-right: 2px solid #dedede;
    }
    .amp-comments ul.children {
        background: #fcfcfc; 
        position:relative; 
        top:-7px;
        margin-bottom:-7px;
        padding-right: 17px;
        border-right: 2px solid #dedede;
    }
    .amp-comments footer img {
        border-radius: 100%;
    }
    .amp-comments footer { 
        line-height:0; 
        font-size:12px;
        color:#828282;
        padding:5px;
    }
    .amp-comments footer > div { display:inline-block;padding:5px 0px 5px 5px;line-height:1; }
    .amp-comments footer div.vcard {
        font-size:13px;
        color: #457fca;
    }
    .amp-comments article > div{
        padding-right: 8px;
        font-size: 13px;
        line-height: 24px;
        overflow-wrap: break-word;
    }


/****
* footer
*****/
    .amp-footer.container { background:#457fca!important ;color:#fff;padding: 0px 15px 10px; }
    .amp-footer .line { height: 45px; width: 100%;background: white;margin-bottom: 18px; }
    .amp-footer nav ul li {
        display: inline-block;
        list-style: none;
    }
    .amp-footer nav ul li a { padding:0px 5px; }
    .amp-footer nav ul li:not(:last-child):after {
        content: "|";
        color: #fff;
        padding: 0 .3rem;
        padding-right: .6rem;
        opacity: 0.3;
    }

    .amp-footer .socials a {
        font-size: 17px;
        background: #fff;
        margin: 0px 4px 10px;
        color: #457fca;
        border-radius: 6px;
        width: 31px;
        height: 31px;
        display: inline-block;
        text-align: center;
    }
    .amp-footer .socials a i { padding: 6px 0px;vertical-align: top; }
    .no-amp { color:#fff;padding: 5px 0px; max-width:798px;background: #457fcaa1;margin: 0px auto; }
    .no-amp a { 
        display: block;
        color: #fff;
        text-align: center;
    }




/***
* static page
**/
#static-holder { background: url(<?php bloginfo('url'); ?>/wp-content/plugins/static-amp-news-theme/includes/image/bg-static.jpg); background-size: cover; background-position: center; height:100%; width:100%; }

#static-main { width: 100%;height: 100%;display: block;min-height: 500px;font-weight: bold;text-align: center;color: #fff; background: linear-gradient(to left, rgba(100, 43, 115,0.87), rgba(198, 66, 110,0.87)); }



#static-main .title , #static-main .description { margin-bottom: 2rem; }
#static-main .title h1 { margin-top:0px; font-size:2rem; padding-top:3.3rem; }
#static-main .title h2 { font-size:1.8rem; }
#static-main .property p:first-child {
    width: 700px;
    max-width: 100%;
    border-bottom: 1px solid #fff;
    font-size: 17px;
    margin: auto;
    padding: 15px 0;
}
#static-main .property p:last-child {
    font-size: 30px;
    padding: 10px 0;
}
#static-main .button span {
    margin-top: 20px;
    font-size: 32px;
    padding: 20px 40px;
    background: #3587d6;
    border-radius: 22px;
    display: inline-block;
    margin-bottom:4.5rem;
}