<?php get_header(); ?>

<!-- Main -->
<div class="container">
	<main id="site-main" class="p-3 pb-5" role="main">
		<div class="row">

			<!-- Main Loop -->
			<div class="col-12 col-lg-10">

				<!-- Archive Page -->
				<section id="archive-page" aria-label="Archive Posts">
					<header>
						<h1><?php the_archive_title(); ?></h1>
					</header>
					<div class="row">
						<?php if (have_posts()): ?>
							<?php while (have_posts()): the_post(); ?>
								<div class="col-12 col-lg-6">
									<article class="post-item" id="post-<?php the_ID(); ?>">
										<div class="row text-center text-sm-right">
											<!-- Thumbnail -->
											<div class="col-12 col-sm-auto mb-2 mb-sm-0 thumbnail">
												<a href="<?php echo esc_url(get_permalink()); ?>" rel="nofollow">
													<?php if (has_post_thumbnail()): ?>
														<?php the_post_thumbnail('thumbnail', ['class' => 'img-fluid', 'loading' => 'lazy', 'alt' => esc_attr(get_the_title())]); ?>
													<?php else: ?>
														<img src="<?php echo esc_url(get_theme_file_uri('assets/img/thumbnail.png')); ?>" alt="default" class="img-fluid" loading="lazy">
													<?php endif; ?>
												</a>
											</div>

											<!-- Post Content -->
											<div class="col pr-0">
												<div class="d-flex w-100 h-100 flex-column">
													<h4><a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_the_title()); ?></a></h4>
													<div class="entry mb-2">
														<?php echo esc_html(wp_trim_words(get_the_excerpt(), 15, ' ...')); ?>
													</div>
													<div class="date mt-auto">
														<i class="far fa-calendar ml-1"></i>
														<?php echo esc_html(get_the_date()); ?>
													</div>
												</div>
											</div>
										</div>
									</article>
								</div>
							<?php endwhile; ?>
						<?php endif; ?>
						<?php wp_reset_postdata(); ?>
					</div>
				</section>

				<!-- Pagination -->
				<nav id="paginate" class="text-center py-5" aria-label="Pagination">
					<?php
						echo paginate_links(array(
							'prev_text' => '<i class="far fa-long-arrow-right" aria-hidden="true"></i><span class="sr-only">Previous</span>',
							'next_text' => '<i class="far fa-long-arrow-left" aria-hidden="true"></i><span class="sr-only">Next</span>',
						));
					?>
				</nav>

			</div>

			<!-- Sidebar for Ads -->
			<aside class="col-12 col-lg-2 d-none d-lg-block" role="complementary">
				<?php get_sidebar('ads'); ?>
			</aside>

		</div>
	</main>
</div>

<?php get_footer(); ?>
