jQuery(document).ready(function($) {
	
	/* Header Menu */
	$('#header-menu').on('mouseenter', '.menu-item-has-children', function(e) {
		e.preventDefault();
		$(this).children('.sub-menu').slideDown(300);
	});
	$('#header-menu').on('mouseleave', '.menu-item-has-children', function(e) {
		e.preventDefault();
		$(this).children('.sub-menu').slideUp(300);
	});


	/* Dark/Light */
	$('body').on('click', '#dark-theme', function(e) {
		e.preventDefault();
		/* change variables */
		var $html = $("html");
		if ( $html.hasClass('dark-theme') ) {
			$html.removeClass('dark-theme');
			$(this).children('i').removeClass('fa-lightbulb').addClass('fa-moon');
			Cookies.remove('ASNT_dark_theme');
		}
		else {
			$html.addClass('dark-theme');
			$(this).children('i').removeClass('fa-moon').addClass('fa-lightbulb');
			Cookies.set('ASNT_dark_theme', 'true');
		}
		/* disable link */
		return false;
	});


	/* Slick Slider */
	$('#slick-slider').slick({
		rtl: true,
		dots: true,
		arrows: false,
	});


	/* Search Form: Open */
	$('body').on('click', '#open-search-box', function(event) {
		event.preventDefault();
		/* Open Search box */
		$(this).attr('id', 'close-search-box');
		$(this).children('i').removeClass('fa-search').addClass('fa-times');
		$('#search-box form').animate({width: '235px'}, 200);
		/* disable link */
		return false;
	});


	/* Search Form: close */
	$('body').on('click', '#close-search-box', function(event) {
		event.preventDefault();
		/* Open Search box */
		$(this).attr('id', 'open-search-box');
		$(this).children('i').removeClass('fa-times').addClass('fa-search');
		$('#search-box form').animate({width: '0px'}, 200);
		/* disable link */
		return false;
	});


	/* Mobile Menu */
	$('body').on('click', '#mobile-menu .menu-item-has-children a', function(event) {
		event.preventDefault();
		/* Open Submenu */
		$(this).toggleClass('close-sub-menu');
		$(this).parent().children('.sub-menu').slideToggle(250);
		/* Disable link */
		return false;
	});


	/* Close Mobile Menu */
	$('body').on('click', '#close-menu-mobile', function(event) {
		event.preventDefault();
		$('#mobile-menu').fadeOut(200);		
	});


	/* Open Mobile Menu */
	$('body').on('click', '#mobile-menu-icon', function(event) {
		event.preventDefault();
		$('#mobile-menu').fadeIn(200);		
	});

});