<?php global $news_theme; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="<?php if($news_theme->is_dark()) echo 'dark-theme'; ?>">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="canonical" href="<?php echo home_url(); ?>">
	<?php wp_head(); ?>

<?php
	$static_class = '' ;
	$get_static = get_theme_mod( 'static_enable' );
	if ($get_static != false) {
		$diplay_content = 'd-none' ;
		$static_class = 'static-page' ;
	}
?>
</head>
<body dir="rtl" <?php body_class($static_class); ?>>

	<?php
		if ($get_static != false) {
			include_once 'static-bage.php';
		}
	?>	

	<!-- Header -->
	<header id="site-header" class="<?php echo $diplay_content ; ?>">
		<div class="container">
			<!-- top area -->
			<div class="row align-items-center py-4 top-area justify-content-sm-between justify-content-center">
				<!-- site title -->
				<div class="col-auto">
					<a href="<?php echo home_url(); ?>" class="d-block clearfix" aria-label="Home">
						<?php
							$image_id = get_theme_mod( 'custom_logo' );
							if ($image_id != false) {
								echo wp_get_attachment_image( $image_id, 'thumbnail', false, ['class' => 'img-fluid float-right logo', 'alt' => get_bloginfo('name'), 'loading' => 'lazy'] );
							}
							echo '<div class="float-right">';
								$site_name = get_bloginfo('name');
								if (is_home()) {
									echo "<h2 class='site-title'>{$site_name}</h2>";
								}
								else {
									echo "<h2 class='site-title'>{$site_name}</h2>";	
								}
							echo '<span class="description">'.get_bloginfo( 'description' ).'</span>';
							echo '</div>';
						?>
					</a>
				</div>
				<div class="d-sm-none col-12"></div>
				<!-- socials -->
				<div class="col-auto mt-4 mt-sm-0">
					<div id="h-social-icons" aria-label="Social Media Links">
						<?php
							foreach ($news_theme->socials as $item)
							{
								$url = get_theme_mod( $item['name'] );
								if ($url != false) {
									echo "<a href='{$url}' rel='nofollow' aria-label='{$item['name']}'><i class='fa-fw fab fa-{$item['icon']}'></i></a>";
								}
							}
						?>
						<a href="<?php echo home_url('feed'); ?>" rel="noopener noreferrer" aria-label="RSS Feed"><i class="fa-fw far fa-rss"></i></a>
						<a href="#" id="dark-theme">
							<?php
								if ($news_theme->is_dark())
									echo '<i class="fa-fw far fa-lightbulb"></i>';
								else {
									echo '<i class="fa-fw far fa-moon"></i>';
								}
							?>
						</a>
						<a href="#" id="open-search-box"><i class="fa-fw far fa-search"></i></a>
						<div id="search-box">
							<form action="<?php echo home_url(); ?>" method="get" class="clearfix" role="search">
								<input type="search" name="s" placeholder="جستجوی کلمه کلیدی" class="float-right" aria-label="Search">
								<button type="submit" class="float-right" aria-label="Search Button"><i class="far fa-search"></i></button>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- header menu -->
			<nav id="header-nav" aria-label="Main Navigation">
				<div class="row py-2">
					<div class="col-auto">
						<!-- desktop menu -->
						<div id="header-menu" class="d-none d-lg-block">
							<?php
							if (has_nav_menu( 'header_menu' )) {
								wp_nav_menu( array(
									'theme_location'  => 'header_menu',
									'depth'           => 2,
									'container'       => 'nav',
									'container_class' => 'main-menu',
									'aria_label'      => 'Main Menu'
								));
							} else {
								echo '<br>';
							}
							?>
						</div>
						<!-- mobile menu icon -->
						<div id="mobile-menu-icon" class="d-block d-lg-none px-3 h4 mb-0">
							<i class="fal fa-bars"></i>
						</div>
					</div>
				</div>
			</nav>
		</div>
	</header>

	<div class="<?php echo $diplay_content ; ?>">
