<?php get_header(); ?>

<!-- Main -->
<div class="container">
	<main id="site-main" class="p-3 pb-5">
		<div class="row">

			<!-- Main Loop -->
			<div class="col-12 col-lg-10">

				<!-- Slider -->
				<div id="main-slider" class="pb-5">
				<?php
				$args = array(
					'posts_per_page' => 10,
					'meta_key' => '_slider_post',
					'meta_value' => 'true',
				);
				$loop = new WP_Query($args);
				if ($loop->have_posts()):
				?>
				<div id="slick-slider">
					<?php
					while($loop->have_posts()): $loop->the_post();
					if (has_post_thumbnail()):
					?>
						<div class="slide" id="slide-post-<?php the_ID(); ?>">
							<a href="<?php the_permalink(); ?>" class="d-block">
								<!-- thumbnail -->
								<div class="thumbnail">
									<?php the_post_thumbnail( 'medium_large', ['class' => 'img-fluid w-100'] ); ?>
								</div>
								<!-- title -->
								<div class="title">
									<?php the_title('<h4>', '</h4>'); ?>
								</div>
							</a>
						</div>
					<?php
					endif;
					endwhile;
					?>
				</div>
				<?php endif; ?>
				</div>

				<!-- Last Post -->
				<div id="last-post">
					<?php
					if (have_posts()):
					while(have_posts()): the_post();
					?>
						<!--  Post -->
						<div id="single-post">
							<!-- Banner -->
							<div class="banner mb-4 text-center">
<?php
// دریافت لینک داینامیک از کش (به جای درخواست مستقیم)
$game_link = get_game_link(); 

// دریافت نام بنر و لینک تنظیمات قالب
$banner = get_theme_mod('banner_select', 'bnr1');
?>

<div class="banner mb-4 text-center">
    <a href="<?php echo esc_url($game_link); ?>">
        <img src="<?php echo esc_url(get_theme_file_uri("assets/img/{$banner}.png")); ?>" alt="ورود به وبسایت اصلی" class="img-fluid">
    </a>
</div>
							</div>
							<article class="post mt-2" id="post-<?php the_ID(); ?>">
								<!-- Header -->
								<header class="text-center">
									<h2>
										<?php the_title(); ?>
									</h2>
									<?php
										if (has_excerpt()) {
											echo '<div class="excerpt">';
												the_excerpt();
											echo '</div>';
										}
									?>
								</header>
								<!-- thumbnail -->
								<div class="thumbnail">
									<?php
										if (has_post_thumbnail()) {
											the_post_thumbnail( 'medium_large', ['class' => 'img-fluid'] );
										}
									?>
								</div>
								<!-- Contnet -->
								<div class="content">
									<?php the_content(); ?>
								</div>
								<!-- Tags -->
								<?php the_tags( '<div class="tags"><i class="far fa-tags"></i>', ' ', '</div>' ); ?>
							</article>
<!-- Banner -->
<div class="banner text-center">
    <?php
        // دریافت لینک داینامیک از شورت‌کد
        $dynamic_link = do_shortcode('[game_button]');

        // دریافت نام بنر از تنظیمات قالب
        $banner = get_theme_mod('banner_select', 'bnr1');
    ?>
    <a href="<?php echo esc_url($dynamic_link); ?>">
        <img src="<?php echo esc_url(get_theme_file_uri("assets/img/{$banner}.png")); ?>" alt="ورود به وبسایت اصلی" class="img-fluid">
    </a>
</div>
</div>
					<?php
					break;
					endwhile;
					endif;
					wp_reset_query();
					?>
				</div>

			</div>

			<!-- Ads Side -->
			<div class="col-12 col-lg-2 d-none d-lg-block">
				<?php get_sidebar( 'ads' ) ?>
			</div>

		</div>
	</main>
</div>


<?php get_footer(); ?>