<?php get_header(); the_post(); ?>

<!-- Main -->
<div class="container">
	<main id="site-main" class="p-3 pb-5">
		<div class="row">

			<!-- Main Content -->
			<div class="col-12 col-lg-10">

				<!-- Single Post -->
				<div id="single-post">
					<article class="post mt-2" id="post-<?php the_ID(); ?>" itemscope itemtype="http://schema.org/Article">
						<!-- Header -->
						<header class="text-center">
							<div class="meta clearfix d-inline-block mb-4">
								<div class="author float-sm-right" itemprop="author" itemscope itemtype="http://schema.org/Person">
									<i class="far fa-user-edit"></i>
									<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" itemprop="url"><?php the_author(); ?></a>
								</div>
								<div class="category float-sm-right mr-sm-5" itemprop="articleSection">
									<i class="far fa-sitemap"></i>
									<?php the_category(', '); ?>
								</div>
								<div class="time float-sm-right mr-sm-5" itemprop="datePublished" content="<?php echo esc_attr(get_the_date('c')); ?>">
									<i class="far fa-calendar"></i>
									<?php echo esc_html(get_the_date()); ?>
								</div>
							</div>
							<h1 itemprop="headline"><?php the_title(); ?></h1>
							<?php if (has_excerpt()): ?>
								<div class="excerpt" itemprop="description">
									<?php the_excerpt(); ?>
								</div>
							<?php endif; ?>
						</header>
						<!-- Thumbnail -->
						<div class="thumbnail">
							<?php
								if (has_post_thumbnail()) {
									the_post_thumbnail('medium_large', [
										'class' => 'img-fluid',
										'alt' => get_post_meta(get_post_thumbnail_id(), '_wp_attachment_image_alt', true),
										'loading' => 'lazy'
									]);
								}
							?>
						</div>
						<!-- Content -->
						<div class="content" itemprop="articleBody">
							<?php the_content(); ?>
						</div>
						<!-- Tags -->
						<?php if (get_the_tags()): ?>
							<div class="tags">
								<i class="far fa-tags"></i>
								<?php the_tags('', ' ', ''); ?>
							</div>
						<?php endif; ?>
					</article>
				</div>

				<!-- Related Posts -->
				<div id="related-posts">
					<?php
						$categories = get_the_category();
						if ($categories) {
							$cats = array_map(function($cat) {
								return $cat->term_id;
							}, $categories);
							$cats = implode(',', $cats);
							$loop = new WP_Query([
								'cat' => $cats,
								'posts_per_page' => 6,
								'post__not_in' => [get_the_ID()]
							]);
							if ($loop->have_posts()):
								echo '<h3>مطالب مرتبط</h3>';
								echo '<div class="row">';
								while($loop->have_posts()): $loop->the_post();
					?>
						<div class="col-12 col-lg-6 mb-4">
							<div class="post-item">
								<a href="<?php the_permalink(); ?>" class="clearfix d-block" rel="nofollow">
									<?php
										if (has_post_thumbnail()) {
											the_post_thumbnail([80, 80], [
												'class' => 'img-fluid float-right ml-3',
												'alt' => get_post_meta(get_post_thumbnail_id(), '_wp_attachment_image_alt', true),
												'loading' => 'lazy'
											]);
										} else {
											echo '<img src="'.esc_url(get_theme_file_uri('assets/img/thumbnail-80.png')).'" alt="default" class="img-fluid float-right ml-3" loading="lazy">';
										}
										the_title('<h4>', '</h4>');
									?>
									<span class="date"><?php echo esc_html(get_the_date()); ?></span>
								</a>
							</div>
						</div>
					<?php
								endwhile;
								echo '</div>';
							endif;
							wp_reset_postdata();
						}
					?>
				</div>

				<!-- Comments -->
				<?php if (comments_open()): ?>
					<div id="comments-box">
						<?php comments_template(); ?>
					</div>
				<?php endif; ?>

			</div>

			<!-- Sidebar Ads -->
			<div class="col-12 col-lg-2 d-none d-lg-block">
				<?php get_sidebar('ads'); ?>
			</div>

		</div>
	</main>
</div>

<?php get_footer(); ?>
